# PGSTD Namespace Reference

Alias for the standard namespace "<tt>std</tt>". More...

## Classes

struct | numeric_limits
| Work around lacking "limits" header. More...
struct | char_traits
| Work around missing std::char_traits. More...
struct | char_traits< char >
| Work around missing std::char_traits<char>. More...
struct | char_traits< unsigned char >
| Work around missing std::char_traits<unsigned char>. More...
class | back_insert_iterator< pqxx::tablewriter >
| Specialized back_insert_iterator for tablewriter. More...

## Detailed Description

Alias for the standard namespace "<tt>std</tt>".

This alias is used throughout libpqxx to accomodate the use of other standard library implementations than the one native to the compiler. These alternative implementations may live in separate namespaces to avoid confusion.